|  | Home · All Classes · Modules

# QWhatsThisClickedEvent Class Reference
[QtGui module]

The QWhatsThisClickedEvent class provides an event that can be used to handle hyperlinks in a "What's This?" text. More...

Inherits QEvent.

### Methods

- __init__ (self, QString)
- __init__ (self, QWhatsThisClickedEvent)
- QString href (self)

## Detailed Description

The QWhatsThisClickedEvent class provides an event that can be used to handle hyperlinks in a "What's This?" text.

## Method Documentation

### QWhatsThisClickedEvent.__init__ (self, QString)

Constructs an event containing a URL specified by href when a link is clicked in a "What's This?" message.

See also href().

### QWhatsThisClickedEvent.__init__ (self, QWhatsThisClickedEvent)

### QString QWhatsThisClickedEvent.href (self)

Returns the URL that was clicked by the user in the "What's This?" text.